2019-01-22 03:05 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002166NetSurf[All Projects] Generalpublic2015-03-10 11:10
ReporterTony Moore 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.20
Product Version3.2 
Target VersionFixed in Version3.2 
Summary0002166: full-save crashes NetSurf
DescriptionWith jsoff, or json, http://www.ederickltd.com/ is rendered correctly, but attempting to full-save the page leads to the error 'NetSurf has detected a serious error and must exit immediately....'. On clearing the error, NetSurf disappears from the iconbar.

Log attached.
Steps To ReproduceLaunch http://www.ederickltd.com/ , and attempt to full-save it.
TagsNo tags attached.
Fixed in CI build #2006
Reported in CI build #1995
URL of problem pagehttp://www.ederickltd.com/
Attached Files
  • zip file icon log.zip (11,039 bytes) 2014-07-03 16:06

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000402

Vincent Sanders (administrator)

nsgtk: content/hlcache.c:720: hlcache_handle_get_content: Assertion `handle != ((void *)0)' failed.

when saving
Vincent Sanders

~0000711

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-03 16:06 Tony Moore New Issue
2014-07-03 16:06 Tony Moore File Added: log.zip
2014-07-06 16:06 Vincent Sanders Status new => acknowledged
2014-07-06 16:06 Vincent Sanders Product Version => 3.2
2014-07-06 16:06 Vincent Sanders Description Updated View Revisions
2014-07-07 22:49 Vincent Sanders Note Added: 0000402
2014-07-07 22:49 Vincent Sanders Assigned To => Vincent Sanders
2014-07-07 22:49 Vincent Sanders Status acknowledged => confirmed
2014-07-07 22:49 Vincent Sanders Category RISC OS-specific => General
2014-07-08 12:35 Vincent Sanders Fixed in CI build # => 2006
2014-07-08 12:35 Vincent Sanders Status confirmed => resolved
2014-07-08 12:35 Vincent Sanders Resolution open => fixed
2014-07-08 12:35 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:10 Vincent Sanders Note Added: 0000711
2015-03-10 11:10 Vincent Sanders Status resolved => closed
+Issue History